package com.esdi.init;

import java.util.Hashtable;
import java.util.Enumeration;
import java.io.File;

import com.gn.util.RecordParserUtils;
/**
 * <p>Title: </p>
 * <p>Description: </p>
 * <p>Copyright: Copyright (c) 2002</p>
 * <p>Company: </p>
 * @author Anatoly Kagan
 * @version 1.0
 */

public class ESDConfig {
/*
    public static void checkArg(String key, String def) {
        String value = System.getProperty(key);
        System.out.println( key + " := " + value );

        if ( value == null || value.length() == 0 ) {
            System.setProperty(key, def);
        }
    }

    public static void checkArg(String key) {
        checkArg( key, "" );
    }

    public static void validateEnv() {
        checkArg("db.uname", "sa");
        checkArg("db.pswd", "sybase");

        checkArg("Tudor.DbServer." + "CITCO_GBL" + ".driver", "com.sybase.jdbc2.jdbc.SybDriver");
        checkArg("Tudor.JDBC" + ".driver", "com.sybase.jdbc2.jdbc.SybDriver");
        checkArg("Tudor.DbServer." + "CITCO_GBL" + ".url", "jdbc:sybase:Tds:128.127.51.15:4100");


        checkArg("Tudor.JDBC" + ".driver", "com.sybase.jdbc2.jdbc.SybDriver");
        checkArg("Tudor.DbServer." + "GBL_FDT" + ".driver", "com.sybase.jdbc2.jdbc.SybDriver");
        checkArg("Tudor.DbServer." + "GBL_FDT" + ".url", "jdbc:sybase:Tds:128.127.51.15:4100");

    }
*/
    public static void loadApplicationProperties()
    {
        loadApplicationProperties(null);
    }

    public static void loadApplicationProperties(String directory)
    {
        RecordParserUtils rpu = new RecordParserUtils();
        String applicationInfoFile = System.getProperty("PROPERTY_FILE");
        if (applicationInfoFile == null) {
            if (directory == null) {
                directory = rpu.getCWD() + File.separator + "conf";
            }
            applicationInfoFile = directory + File.separator + "application.properties";
        }
        Hashtable applicationInfo = rpu.loadProperties(applicationInfoFile);
        if (applicationInfo == null) {
            System.out.println("Cannot load properties from " + applicationInfoFile);
            return;
        }
        Enumeration enum = applicationInfo.keys();
        while (enum.hasMoreElements()) {
            String key = (String)enum.nextElement();
            String value = (String)applicationInfo.get(key);
            //System.out.println("Key: " + key + " Value: " + value);
            System.setProperty(key, value);
        }
    }


}