package com.esdi.sql;


import tudor.sql.util.TuSQLColumn;


/**
 * Extends tudor.sql.util.TuSQLColumn to provide a isDefault attribute that can
 * be set to prevent an update statement from changing these default columns.
 *
 * <p>Title: </p>
 * <p>Description: </p>
 * <p>Copyright: Copyright (c) 2002</p>
 * <p>Company: Emphasis Software Development</p>
 * @author Bill Kelemen
 * @version 1.0
 */
public class ESDSQLColumn extends TuSQLColumn {

    ////////////////////////////////////////////////////////////////////////////
    // attributes
    ////////////////////////////////////////////////////////////////////////////

    public boolean isDefault = false;

    ////////////////////////////////////////////////////////////////////////////
    // constructor
    ////////////////////////////////////////////////////////////////////////////

    public ESDSQLColumn(String n, Object v) throws Exception {
        super(n, v);
    }

}
