package com.gonetix.diagnostic;

import java.io.PrintStream;

/**
 * @author SLiu
 *
 * To change this generated comment edit the template variable "typecomment":
 * Window>Preferences>Java>Templates.
 * To enable and disable the creation of type comments go to
 * Window>Preferences>Java>Code Generation.
 */
public final class ConsoleTraceListener implements ITraceListener {

	
	private PrintStream out = System.out;
	/**
	 * Constructor for ConsoleTraceListener.
	 */
	public ConsoleTraceListener() {
		super();
	}

	/**
	 * @see com.gonetix.diagnostic.ITraceListener#print(java.lang.String)
	 */
	public void print(String msg) 
	{
		out.print(msg);
	}

	/**
	 * @see com.gonetix.diagnostic.ITraceListener#println(java.lang.String)
	 */
	public void println(String msg) 
	{
		out.print(msg);
	}

	/**
	 * @see com.gonetix.diagnostic.ITraceListener#flush()
	 */
	public void flush() 
	{
		out.flush();
	}

}
