/*
 * IPublishWriter.java
 *
 * Created on August 12, 2002, 10:56 AM
 */

package com.gonetix.framework.dbpublish;

/**
 *
 * @author  SLiu
 */
public interface IPublishWriter 
{    
	/**
	 * Method write.
	 * @param rs
	 * @throws IOException
	 */
    public void write(java.sql.ResultSet rs)  throws java.io.IOException;    
	/**
	 * Method initWriter.
	 * @param prop
	 */
    public void initWriter(java.util.Properties prop);
	/**
	 * Method setOutput.
	 * @param filepath
	 * @throws IOException
	 */
    public void setOutput(String filepath) throws java.io.IOException;
	/**
	 * Method close.
	 * @throws IOException
	 */
    public void close() throws java.io.IOException;
}
