/*
 * StringFormater.java
 *
 * Created on September 5, 2002, 3:15 PM
 */

package com.gonetix.jextract;


import java.util.*;
/**
 *
 * @author  SLiu
 */
public final class StringFormater {
    
   public static String format(String pattern, Object[] replacements)
   {
        Vector v = new Vector(20);
        Variable[] vars = Util.parserPattern(pattern, v);
        String[] tokens = new String[v.size()];
        v.copyInto(tokens);
        int i=0;
        for(i=0; i<vars.length; i++){
            int arrayIndex = vars[i].arrayIndex;
            String name = vars[i].varName;
            if (Util.isPositiveInteger(name)) 
                tokens[arrayIndex] = replacements[Integer.valueOf(name).intValue()].toString();
            else
                tokens[arrayIndex] = replacements[i].toString();
        }
        StringBuffer buffer = new StringBuffer(100);
        for(i=0; i<tokens.length; i++){
            buffer.append(tokens[i]);
        }
        return buffer.toString();
   }
   
   public static String format(String pattern, Object replacement0)
   {
       Object[] params = new Object[1];
       params[0] = replacement0;
       return (format(pattern, params));
   }
   
   public static String format(String pattern, Object replacement0, Object replacement1)
   {
       Object[] params = new Object[2];
       params[0] = replacement0;
       params[1] = replacement1;
       return (format(pattern, params));
   }
   
   public static String format(String pattern, Object replacement0, Object replacement1, Object replacement2)
   {
       Object[] params = new Object[3];
       params[0] = replacement0;
       params[1] = replacement1;
       params[2] = replacement2;
       return (format(pattern, params));
   }
   
   public static String format(String pattern, Object replacement0, Object replacement1, Object replacement2, Object replacement3)
   {
       Object[] params = new Object[4];
       params[0] = replacement0;
       params[1] = replacement1;
       params[2] = replacement2;
       params[3] = replacement3;
       return (format(pattern, params));
   }
   
   public static String format(String pattern, Object replacement0, Object replacement1, Object replacement2, Object replacement3, Object replacement4)
   {
       Object[] params = new Object[5];
       params[0] = replacement0;
       params[1] = replacement1;
       params[2] = replacement2;
       params[3] = replacement3;
       params[4] = replacement4;
       return (format(pattern, params));
   }
   
   public static String format(String pattern, Object replacement0, Object replacement1, 
   Object replacement2, Object replacement3, Object replacement4, Object replacement5)
   {
       Object[] params = new Object[6];
       params[0] = replacement0;
       params[1] = replacement1;
       params[2] = replacement2;
       params[3] = replacement3;
       params[4] = replacement4;
       params[5] = replacement5;
       return (format(pattern, params));
   }
   
   public static String format(String pattern, Object replacement0, Object replacement1, 
   Object replacement2, Object replacement3, Object replacement4, Object replacement5, 
   Object replacement6)
   {
       Object[] params = new Object[7];
       params[0] = replacement0;
       params[1] = replacement1;
       params[2] = replacement2;
       params[3] = replacement3;
       params[4] = replacement4;
       params[5] = replacement5;
       params[6] = replacement6;
       return (format(pattern, params));
   }
   
   public static String format(String pattern, Object replacement0, Object replacement1, 
   Object replacement2, Object replacement3, Object replacement4, Object replacement5, 
   Object replacement6, Object replacement7)
   {
       Object[] params = new Object[8];
       params[0] = replacement0;
       params[1] = replacement1;
       params[2] = replacement2;
       params[3] = replacement3;
       params[4] = replacement4;
       params[5] = replacement5;
       params[6] = replacement6;
       params[7] = replacement7;
       return (format(pattern, params));
   }
   
   public static String format(String pattern, Object replacement0, Object replacement1, 
   Object replacement2, Object replacement3, Object replacement4, Object replacement5, 
   Object replacement6, Object replacement7, Object replacement8)
   {
       Object[] params = new Object[9];
       params[0] = replacement0;
       params[1] = replacement1;
       params[2] = replacement2;
       params[3] = replacement3;
       params[4] = replacement4;
       params[5] = replacement5;
       params[6] = replacement6;
       params[7] = replacement7;
       params[8] = replacement8;
       return (format(pattern, params));
   }
   
   public static String format(String pattern, Object replacement0, Object replacement1, 
   Object replacement2, Object replacement3, Object replacement4, Object replacement5, 
   Object replacement6, Object replacement7, Object replacement8, Object replacement9)
   {
       Object[] params = new Object[10];
       params[0] = replacement0;
       params[1] = replacement1;
       params[2] = replacement2;
       params[3] = replacement3;
       params[4] = replacement4;
       params[5] = replacement5;
       params[6] = replacement6;
       params[7] = replacement7;
       params[8] = replacement8;
       params[9] = replacement9;
       return (format(pattern, params));
   }
    
}
