/*
 * SQLTextUnit.java
 *
 * Created on September 6, 2002, 4:23 PM
 */

package com.gonetix.swing.sql.base;

/**
 *
 * @author  SLiu
 */
public final class SQLTextUnit {
    
    public final static int QUERY = 1;
    public final static int DML = 2;
    public final static int DDL = 3;
    public final static int MIX = 0;
    
    private int textType = MIX;
    private String text = "";    
    private int paramCount = 0;
     
    public SQLTextUnit() {
    }
    
    public void setTextType(int value)
    {
       textType = value;
    }
    
    public int getTextType()
    {
        return this.textType;
    }
       
    public void setParameterCount(int value)
    {
       paramCount = value;
    }
    
    public int getParameterCount()
    {
        return this.paramCount;
    }
    
    public void setText(String value)
    {
       text = value;
    }
    
    public String getText()
    {
        return this.text;
    }
    
}
