package com.gonetix.util.configuration;

/**
 * @author SLiu
 *
 * To change this generated comment edit the template variable "typecomment":
 * Window>Preferences>Java>Templates.
 * To enable and disable the creation of type comments go to
 * Window>Preferences>Java>Code Generation.
 */
public final class ConfVariable {

	private String name = null;
	private String value = null;
	private String question = null;
	private boolean isDefaultSet = false;
	
	/**
	 * Constructor for ConfVariable.
	 */
	public ConfVariable() {
		super();
	}

	/**
	 * Returns the name.
	 * @return String
	 */
	public String getName() {
		return name;
	}

	/**
	 * Returns the question.
	 * @return String
	 */
	public String getQuestion() {
		return question;
	}

	/**
	 * Returns the value.
	 * @return String
	 */
	public String getValue() {
		return value;
	}

	/**
	 * Sets the name.
	 * @param name The name to set
	 */
	public void setName(String name) {
		this.name = name;
	}

	/**
	 * Sets the question.
	 * @param question The question to set
	 */
	public void setQuestion(String question) {
		this.question = question;
	}

	/**
	 * Sets the value.
	 * @param value The value to set
	 */
	public void setValue(String value) {
		if(value!=null && value.length()>0 ) this.value = value;
	}

	/**
	 * Returns the isDefaultSet.
	 * @return boolean
	 */
	public boolean isDefaultSet() {
		return isDefaultSet;
	}

	/**
	 * Sets the isDefaultSet.
	 * @param isDefaultSet The isDefaultSet to set
	 */
	public void setIsDefaultSet(boolean isDefaultSet) {
		this.isDefaultSet = isDefaultSet;
	}

}
