package com.esd.ucm.util;

/**
 * @author SLiu
 *
 */
public class CSVRowUtil {

	
	private String[] tokens = null;
	private String delimiter = null;
	/**
	 * Constructor for CSVRowUtil.
	 */
	public CSVRowUtil(String source, String delimiter) 
	{
		super();
		parse(source, delimiter);
	}
	
	
	
	protected void parse(String source, String delimiter)
	{
		tokens = source.split(delimiter);
		this.delimiter = delimiter;
	}
	
	public String getToken(int index)
	{
		return tokens[index];
	}
	
	
	public void replace(int index, String newValue)
	{
		tokens[index] = newValue;
	}
	
	
	public String toString()
	{
		StringBuffer sb = new StringBuffer();
		int length = tokens.length;
		for(int i=0; i<length; i++)
		{
			sb.append(tokens[i]);
			if (i<length-1) sb.append(delimiter);			
		}		
		return sb.toString();
	}
	
	
	public int getTokenCount()
	{
		return tokens.length;	
	}	
	

}
