package com.esdi.util;

import junit.framework.*;
import junit.textui.TestRunner;

import java.util.logging.*;

public class EmailHandlerTest
extends TestCase {

	public EmailHandlerTest(String name) {
		super(name);
	}

	public static TestSuite suite() {
		return new TestSuite(EmailHandlerTest.class);
	}

	public void testHandler() {
		Logger l = Logger.getLogger("");
		Handler h = new EmailHandler(
			System.getProperty("user.name") + "@citco.com",
            System.getProperty("user.name") + "@citco.com",
			"xmail.citcoweb.com",
			"test");
		l.addHandler(h);
		l.log(Level.INFO, "message 1");
		l.log(Level.INFO, "message 2");
		h.close();
	}

	public static void main(String[] args) {
	    TestRunner t = new TestRunner(System.out);
		t.run(new EmailHandlerTest(""));
	}
}
