package com.esdi.util;

/**
 * <p>Description: IDC Domestic records have a record type deteremined by the file name
 *
 * <p>Copyright: Copyright (c) Emphasis Software Development 2002</p>
 * @author Martin Buis
 * @version 1.0
 */

public class IDCFixedTypeScheme implements ICustomParserKeyScheme {

    public IDCFixedTypeScheme() {
    }

    /**
     * Return true if lineOrKey is the first line of a record
     */
    public boolean isFirstLineInRecord(String lineOrKey) {
        return true;
    }

    /**
     * Return the key according to the type of line
     */
    public String getKey(String line) {
        return "A";
    }

}