package com.gn.util;

/**
 * <p>Title: </p>
 * <p>Description: Custom properties class for RecordParser</p>
 * <p>Copyright: Copyright (c) goNetix 2002</p>
 * <p>Company: goNetix</p>
 * @author Joe LeVasseur Joe@LeVasseur.com
 * @version 1.0
 */
import java.util.Properties;
import java.util.Enumeration;
import java.util.Hashtable;
import java.io.InputStream;
import java.io.IOException;

public class RecordParserProperties extends Properties
{

    public RecordParserProperties()
    {
        super();
    }

    public RecordParserProperties(Properties prop)
    {
        super();
        Enumeration enum = prop.keys();
        while(enum.hasMoreElements())
        {
            String key = (String)enum.nextElement();
            String val = prop.getProperty(key);
            String Ret[] = StringUtils.split(val, ",");
            put(key,Ret);   // Replace with our array ...
        }
    }

    public void load(InputStream inStream) throws IOException
    {
        super.load(inStream);
        Enumeration enum = keys();
        while(enum.hasMoreElements())
        {
            String key = (String)enum.nextElement();
            String val = getProperty(key);
            String Ret[] = StringUtils.split(val, ",");
            put(key,Ret);   // Replace with our array ...
        }
    }
}