package com.gonetix.diagnostic;

import java.io.*;

/**
 * @author SLiu
 *
 * To change this generated comment edit the template variable "typecomment":
 * Window>Preferences>Java>Templates.
 * To enable and disable the creation of type comments go to
 * Window>Preferences>Java>Code Generation.
 */
public class TextFileTraceListener implements ITraceListener {

	private PrintWriter out = null;
	
	/**
	 * Constructor for TextFileTraceListener.
	 */
	public TextFileTraceListener() 
	{
		super();
	}
	
	public void setOutput(String systemId)
	{
		try{
			setOutput(new FileWriter(systemId));			
		}catch(Exception ex){
			;
		}
	}
	
	public void setOutput(File file)
	{
		try{
			setOutput(new FileWriter(file));			
		}catch(Exception ex){
			;
		}
	}
	
	public void setOutput(Writer writer)
	{
		out = new PrintWriter(writer);
	}
	

	/**
	 * @see com.gonetix.diagnostic.ITraceListener#print(java.lang.String)
	 */
	public void print(String msg) 
	{
		try{
			out.print(msg);			
		}catch(Exception ex){
			;
		}
	}

	/**
	 * @see com.gonetix.diagnostic.ITraceListener#println(java.lang.String)
	 */
	public void println(String msg) 
	{
		try{
			out.println(msg);			
		}catch(Exception ex){
			;
		}
	}

	/**
	 * @see com.gonetix.diagnostic.ITraceListener#flush()
	 */
	public void flush() 
	{
		try{
			out.flush();			
		}catch(Exception ex){
			;
		}
	}

}
