package com.gonetix.framework.dbpublish;

import java.io.*;
import java.util.*;
import java.sql.*;
/**
 * @author SLiu
 *
 * To change this generated comment edit the template variable "typecomment":
 * Window>Preferences>Java>Templates.
 * To enable and disable the creation of type comments go to
 * Window>Preferences>Java>Code Generation.
 */
public class DATWriter2 extends DATWriter implements IPublishWriter2 {

	/**
	 * Constructor for DATWriter2.
	 * @param out
	 */
	public DATWriter2(OutputStream out) {
		super(out);
	}

	/**
	 * Constructor for DATWriter2.
	 */
	public DATWriter2() {
		super();
	}

	/**
	 * @see com.gonetix.framework.dbpublish.IPublishWriter2#write(java.sql.Statement, boolean)
	 */
	public void write(Statement stmt, boolean hasFirstResult)
	throws IOException 
	{
		int b = -1;
        try{
            while ( hasFirstResult || (b=stmt.getUpdateCount())!=-1 ){            
                  if ( hasFirstResult ){                  
                     ResultSet rs = stmt.getResultSet();
                     write(rs);             
                  }else if (b!=-1){                  
                     //pw.write("\nexecuteUpdate: ");
                     //pw.write("Total "); 
                     //pw.write(b); 
                     //pw.write(" rows affected.\n");
                     b = -1;
                  }else{
                     //pw.write("\nexecuteDDL: ");                 
                     //pw.write("This command does not return anything.\n"); 
                 }
                  hasFirstResult = stmt.getMoreResults();
            }
        }catch(SQLException ex){
            throw new IOException(ex.toString());
        }
	}

}
