package com.gonetix.framework.textengine;

/**
 * @author SLiu
 *
 * This class provides a default behavior of SectionHandler.
 * 
 */
import java.util.*;

public class DefaultSectionHandler {

	
	protected SectionSpec spec = null;
	protected Properties sectionProp = null;
	
	
	/**
	 * Constructor for DefaultSectionHandler.
	 */
	public DefaultSectionHandler(SectionSpec spec) 
	{
		this.spec = spec;
		sectionProp = new Properties();
	}
	
	
	public void handle(RawRowData rawdata)
	{
		
	}		
	
	public void addProperty(String key, String value)
	{
		sectionProp.setProperty(key, value);
	}
	
	public void addProperties(Map prop)
	{
		sectionProp.putAll(prop);
	}

}
