package com.gonetix.framework.textengine;

/**
 * @author SLiu
 *
 */
public class RawRowData 
{
	private String rawCharacterData = null;
	private String[] splitedData = null;
	private boolean isArray = false;
	/**
	 * Constructor for RawRowData.
	 */
	public RawRowData() {
		super();
	}

	/**
	 * Returns the rawCharacterData.
	 * @return String
	 */
	public String getRawCharacterData() {
		return rawCharacterData;
	}

	/**
	 * Returns the splitedData.
	 * @return String[]
	 */
	public String[] getSplitedData() {
		return splitedData;
	}

	/**
	 * Sets the rawCharacterData.
	 * @param rawCharacterData The rawCharacterData to set
	 */
	public void setRawCharacterData(String rawCharacterData) {
		this.rawCharacterData = rawCharacterData;
	}

	/**
	 * Sets the splitedData.
	 * @param splitedData The splitedData to set
	 */
	public void setSplitedData(String[] splitedData) {
		this.splitedData = splitedData;
	}

	/**
	 * Returns the isArray.
	 * @return boolean
	 */
	public boolean isArray() {
		return (splitedData !=null);
	}

}
