/*
 * AbstractHandler.java
 *
 * Created on August 9, 2002, 11:13 AM
 */

package com.gonetix.framework.xmlEngine;

import java.io.*;
import java.util.*;

import javax.xml.parsers.SAXParser;
import javax.xml.parsers.SAXParserFactory;

import org.xml.sax.Attributes;
import org.xml.sax.SAXException;
import org.xml.sax.SAXParseException;
import org.xml.sax.InputSource;
import org.xml.sax.XMLReader;
import org.xml.sax.helpers.DefaultHandler;
import org.xml.sax.ContentHandler;
/**
 *
 * @author  SLiu
 */
public class AbstractHandler extends DefaultHandler{
    /** Creates a new instance of AbstractHandler */    
    
    private ArrayList nodeList = null;
    protected XMLReader xmlReader = null;
    
    public AbstractHandler() {
        nodeList = new ArrayList();
    }
    
    public void addNode(Object child){
        nodeList.add(child);
    }
    
    public List getChilds(){
        return this.nodeList;
    }
    
    public void setContentHandler(ContentHandler handler){
        xmlReader.setContentHandler(handler);
    }    
    
}
