/*
 * Variable.java
 *
 * Created on September 5, 2002, 2:22 PM
 */

package com.gonetix.jextract;

/**
 *
 * @author  SLiu
 */
public final class Variable {
    
    public static final String ROWCOUNT = "ROWCOUNT";
    public static final String DATE = "DATE";
    public static final String DATETIME = "DATETIME";    
    
    public int startIndex = 0;
    public int endIndex = 0;
    public String varName = null;
    public int arrayIndex = 0;
    
    /** Creates a new instance of Variable */
    public Variable(int startIndex) {
        this.startIndex = startIndex;
    }
    
    public void setVarName(String name)
    {
        this.varName = name;
    }
    
    public void setEndIndex(int index)
    {
        this.endIndex = index;
    }
    
    public void setArrayIndex(int index)
    {
        arrayIndex = index;
    }
    
    
    public String toString()
    {
        StringBuffer sb = new StringBuffer(50);
        sb.append("\n");
        sb.append("Name        : ").append(varName).append("\n");
        sb.append("start at    : ").append(startIndex).append("\n");
        sb.append("end at      : ").append(endIndex).append("\n");
        sb.append("Array index : ").append(arrayIndex).append("\n");
        return sb.toString();
    }
    
}
