package com.gonetix.swing.sql.swing;

import javax.swing.JInternalFrame;
import java.util.*;
import java.sql.*;
import javax.swing.*;
import java.awt.event.*;
import java.awt.*;

import javax.swing.text.*;
import com.gonetix.swing.sql.base.*;
import javax.swing.tree.*;
import javax.swing.tree.DefaultMutableTreeNode;
import javax.swing.event.*;
import com.gonetix.swing.EditorComponents.SQLUI.*;

public class EditorInternalFrame extends JInternalFrame 
{
  private SQLEditorPane sqlEditor = null;
  
  public EditorInternalFrame()
  {
      super("*.sql", 
              true, //resizable
              false, //closable
              true, //maximizable
              true);//iconifiable

      sqlEditor = new SQLEditorPane();
      sqlEditor.setBorder(BorderFactory.createEmptyBorder(5,5,5,5));
      this.setContentPane(sqlEditor);
  }
  
  
  public SQLEditorPane getSqlEditor()
  {
    return this.sqlEditor;
  }
  public Document getDocument()
  {
      return sqlEditor.getDocument();
  }
  
  public String getText()
  {
      return sqlEditor.getText();
  }

  public String getSelectedText()
  {
      return sqlEditor.getSelectedText();
  }

  
}