package com.gonetix.swing.sql.swing;

import javax.swing.JSplitPane;
import com.gonetix.swing.sql.base.*;
import javax.swing.*;
import java.awt.*;
import java.awt.event.*;
import javax.swing.text.*;
import com.gonetix.swing.sql.swing.*;
import com.gonetix.swing.EditorComponents.SQLUI.*;

public class SQLCompositionPane extends JSplitPane 
{
  private ExplorerEditorPane top;
  private SQLConsolePane console;
  private SQLWizardPane wizard;
  private JMenuBar sqlMenuBar;
  private JToolBar sqlToolBar;
  private SQLEditorPane sqlEditor;

  public JMenuBar getSQLMenuBar()
  {
      if ( sqlMenuBar == null ){

      }
      return sqlMenuBar;
  }

  public JToolBar getSQLToolBar()
  {
      if(sqlToolBar!=null){

      }
      return sqlToolBar;
  }


  public void dispose()
  {
        top.dispose();
  }

  public SQLCompositionPane()
  {
      super(JSplitPane.VERTICAL_SPLIT);
      this.setDividerLocation(400);
      top = new ExplorerEditorPane();
      sqlEditor = top. getSQLEditorPane();
      SQLHandler.getInstance().setSQLSource(sqlEditor);
      JTabbedPane tabbedPane = new JTabbedPane();
      SQLConsolePane console = new SQLConsolePane();
      SQLHandler.getInstance().setConsole(console);
      SQLWizardPane wizard = new SQLWizardPane();
      tabbedPane.add("SQL Wizard", wizard);
      tabbedPane.add("SQL Console", console);      
      this.setTopComponent(top);
      this.setBottomComponent(tabbedPane);      
  }

  public static void main(String[] args)
  {
        JFrame mainFrame = new JFrame("SQL Explorer");
        mainFrame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
        SQLCompositionPane sqlp = new SQLCompositionPane();
        mainFrame.getContentPane().add(sqlp);        
        mainFrame.setSize(800, 600);
        mainFrame.setVisible(true);
  }
  
}