package com.gonetix.swing.sql.swing;

import javax.swing.JPanel;
import java.util.*;
import java.sql.*;
import javax.swing.*;
import java.awt.event.*;
import java.awt.*;

import com.gonetix.swing.sql.util.*;
import com.gonetix.swing.sql.base.*;
import javax.swing.tree.*;
import javax.swing.event.*;


public class SQLConsolePane extends JPanel 
{
  private JTextArea console = null;
  
  public SQLConsolePane()
  {
    this.setLayout(new BorderLayout());
    console = new JTextArea(80, 10);
    Font listFont = new Font("SansSerif", Font.PLAIN, 12);
    console.setFont(listFont);
    console.setBorder(BorderFactory.createEmptyBorder(10,10,10,10));
    JScrollPane listScroller = new JScrollPane(console);
    listScroller.setPreferredSize(new Dimension(800, 100));    
    listScroller.setMinimumSize(new Dimension(700, 100));
    listScroller.setAlignmentX(LEFT_ALIGNMENT);    
    this.add(listScroller, BorderLayout.CENTER);
  }

  public JTextArea getConsole()
  {
      return this.console;
  }

  public static void main(String[] args)
  {
    //SQLConsolePane sQLConsolePane = new SQLConsolePane();
    JFrame f = new JFrame("SQL Wizard");
        f.addWindowListener(new WindowAdapter() {
            public void windowClosing(WindowEvent e) {
                 System.exit(0);
            }
        });        
        f.setContentPane(new SQLConsolePane());
        f.pack();
        f.setVisible(true);
  }
}