package com.gonetix.util;

/**
 * @author SLiu
 *
 * To change this generated comment edit the template variable "typecomment":
 * Window>Preferences>Java>Templates.
 * To enable and disable the creation of type comments go to
 * Window>Preferences>Java>Code Generation.
 */
public final class Trace {

	private static final String HEADER = "[TRACE] ";
	private static boolean enable = true;
	
	
	/**
	 * Constructor for Trace.
	 */
	public Trace() {
		super();
	}
	
	public static void Assert(boolean expression, String mrg)
	{
		if (!enable) return;
		if ( expression == false ){
			System.out.print(HEADER);
			System.out.println(mrg);
		}
	}
	
	public static void println(String mrg)
	{
		if (!enable) return;
		System.out.print(HEADER);
		System.out.println(mrg);
	}
	
	public static void printlnIf(boolean expression, String mrg)
	{
		if (!enable) return;
		if ( expression ){
			System.out.print(HEADER);
			System.out.println(mrg);
		}
	}
	
	public static void print(String mrg)
	{
		if (!enable) return;
		System.out.print(HEADER);
		System.out.print(mrg);
	}
	
	public static void printIf(boolean expression, String mrg)
	{
		if (!enable) return;
		if ( expression ){
			System.out.print(HEADER);
			System.out.print(mrg);
		}
	}
	
	

	/**
	 * Returns the enable.
	 * @return boolean
	 */
	public static boolean isEnable() {
		return enable;
	}

	/**
	 * Sets the enable.
	 * @param enable The enable to set
	 */
	public static void setEnable(boolean enable) {
		Trace.enable = enable;
	}

}
