package examples;

/**
 * @author SLiu
 *
 * This is example class show you how to use GoNetix SQL parser 
 * 
 */

import java.util.Enumeration;

import com.gonetix.xml.parser.sql.*;
import com.gonetix.xml.parser.*;


public final class SQLFileTester 
{	
	
	public static void main(String[] args) throws Exception
	{
		//create a instance of SQLXMLReader;		
		SQLXMLReader sqlReader = new SQLXMLReader();
		sqlReader.parse("D:\\esdproj\\esd\\GNLLC\\docs\\SqlReaderExampleSql.xml");
		PropertyTreeNode pNode = sqlReader.getPropertyTree();
		java.util.Properties prop = pNode.convert();
		Enumeration enum = prop.keys();
		while (enum.hasMoreElements())
		{
			String key = (String)enum.nextElement();
			String value = prop.getProperty(key);
			System.out.println(key + "=" + value);
		}
		System.out.println("*****************statement_id_or_name1********************");
		System.out.println(sqlReader.getSQLStatement("statement_id_or_name1").getSqlText());
		System.out.println("*****************statement_id_or_name2********************");		
		System.out.println(sqlReader.getSQLStatement("statement_id_or_name2").getSqlText());
		
	}
}
